Menu

## GameConfiguration
in package
Uses PropertyManager

GameConfiguration.php : 14

Provides an interface to access properties.

### Table of Contents

$properties : ArrayCollection
$propertyStorage : mixed
__construct() : mixed
  Constructor.
get() : mixed
  Returns a configuration value or the default one if the configuration name has not been set yet.
getProperty() : mixed
  Returns a property with its stored type.
loadProperties() : void
  Loads properties.
set() : mixed
  Sets and overwrites a configuration value saved by the name.
setProperty() : void
  Sets a property to a given value.
unsetProperty() : void
  Deletes a property.

### Properties

#### $properties

GameConfiguration.php : 19
`private ArrayCollection $properties`

#### $propertyStorage

PropertyManager.php : 11
`private mixed $propertyStorage = null`

### Methods

#### __construct()

GameConfiguration.php : 25

Constructor.

`public __construct(EntityManagerInterface $entityManager) : mixed`

##### Parameters

$entityManager : EntityManagerInterface

##### Return values

mixed —

#### get()

GameConfiguration.php : 36

Returns a configuration value or the default one if the configuration name has not been set yet.

`public get(string $configurationName, mixed $configurationDefault) : mixed`

##### Parameters

$configurationName : string
$configurationDefault : mixed

##### Return values

mixed —

#### getProperty()

PropertyManager.php : 33

Returns a property with its stored type.

`public getProperty(string $name[, mixed $default = null ]) : mixed`

##### Parameters

$name : string
$default : mixed = null

##### Return values

mixed —

#### loadProperties()

PropertyManager.php : 16

Loads properties.

`public loadProperties() : void`

##### Return values

void —

#### set()

GameConfiguration.php : 46

Sets and overwrites a configuration value saved by the name.

`public set(string $configurationName, mixed $configurationValue) : mixed`

##### Parameters

$configurationName : string
$configurationValue : mixed

##### Return values

mixed —

#### setProperty()

PropertyManager.php : 63

Sets a property to a given value.

`public setProperty(string $name, mixed $value) : void`

##### Parameters

$name : string
$value : mixed

##### Return values

void —

#### unsetProperty()

PropertyManager.php : 47

Deletes a property.

`public unsetProperty(string $name) : void`

##### Parameters

$name : string

##### Return values

void —

## Search results